#!/bin/bash
# Script d'initialisation de la machine virtuelle pour la SAE 1.03
# Auteur: Rémi LAVERGNE

# Vérification des droits
if [ "$EUID" -ne 0 ]; then
    echo "Ce script doit être lancé avec des droits supérieurs (sudo/root)."
    exit 1
fi

# Installer curl si absent
if ! dpkg -s curl &> /dev/null; then
    apt update && apt install -y curl
fi

# Installer nano si absent
if ! dpkg -s nano &> /dev/null; then
    apt update && apt install -y nano
fi


if ! id "franck" &> /dev/null; then
    useradd -m franck
fi

# Création de l'arborescence
sudo -u franck mkdir -p /home/franck/{Documents,Images,Musique,Vidéos}
sudo -u franck touch /home/franck/Documents/{notes.txt,TODO.txt}

sudo -u franck bash -c "echo '- Faire les courses' >> /home/franck/Documents/TODO.txt"
sudo -u franck bash -c "echo '- Appeler le plombier' >> /home/franck/Documents/TODO.txt"
sudo -u franck bash -c "echo '- Installer Arch' >> /home/franck/Documents/TODO.txt"

sudo -u franck bash -c "echo 'Réunion du 12/12/2019' >> /home/franck/Documents/notes.txt"
sudo -u franck bash -c "echo 'Présents: Bob, Alice, Franck' >> /home/franck/Documents/notes.txt"
sudo -u franck bash -c "echo 'Absents: John' >> /home/franck/Documents/notes.txt"
sudo -u franck bash -c "echo 'Sujet: Préparation du projet' >> /home/franck/Documents/notes.txt"
sudo -u franck bash -c "echo 'Date de la prochaine réunion: 19/12/2019' >> /home/franck/Documents/notes.txt"

# Créer un deuxième utilisateur
if ! id "john" &> /dev/null; then
    useradd john
fi